%global commit f273ce6775df2291b2f33af509ed8c7bcb325c07
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           cephadm-ansible
Version:        0.1
Release:        3.g%{shortcommit}%{?dist}
Summary:        ansible playbooks to be used with cephadm
License:        ASL 2.0
URL:            https://github.com/ceph/cephadm-ansible
Source0:        %{name}-%{commit}.zip

BuildArch:      noarch

BuildRequires: ansible >= 2.9
Requires: ansible >= 2.9

%description
cephadm-ansible is a collection of Ansible playbooks to simplify workflows that are not covered by cephadm.

%prep
%autosetup -p1 -n %{name}-%{commit}

%build

%install
mkdir -p %{buildroot}%{_datarootdir}/cephadm-ansible

for f in ansible.cfg *.yml ceph-defaults; do
  cp -a $f %{buildroot}%{_datarootdir}/cephadm-ansible
done

%check
ansible-playbook -i tests/functional/hosts cephadm-preflight.yml --syntax-check
ansible-playbook -i tests/functional/hosts cephadm-purge-cluster.yml -e fsid=%(uuidgen) --syntax-check

%files
%doc README.md
%license LICENSE
%{_datarootdir}/cephadm-ansible

%changelog
* Tue Oct 19 2021 Thomas Serlin <tserlin@redhat.com> - 0.1-3.gf273ce6
- Import latest upstream commit (f273ce6)

* Mon Sep 13 2021 Thomas Serlin <tserlin@redhat.com> - 0.1-2.g8019cf9
- Import latest upstream commit (8019cf9)

* Tue Jun 01 2021 Thomas Serlin <tserlin@redhat.com> - 0.1-1.g5a4412f
- Import latest upstream commit (5a4412f)


